After you upgrade to Yosemite and click on Gradebook for the first time you may see the following warning message

""To open 'this Java application' you need to install the legacy Java SE 6 runtime."

 It will then give you a choice to click ok or "more info" and the more info is suppose to take you to a page to download the Java SE 6 runtime. But ofcourse this page will look "blank" to some users. So here is where they would need to go:

After you install the above your gradebook should then open.